﻿// <auto-generated />
using AlfaDuo.Infra.Context;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

#nullable disable

namespace AlfaDuo.Infra.Migrations
{
    [DbContext(typeof(IntegrationContext))]
    partial class IntegrationContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "6.0.1")
                .HasAnnotation("Relational:MaxIdentifierLength", 64);

            modelBuilder.Entity("AlfaDuo.Domain.Entities.Integration", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("BIGINT")
                        .HasAnnotation("MySql:ValueGenerationStrategy", MySqlValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("PathParam")
                        .IsRequired()
                        .HasColumnType("JSON")
                        .HasColumnName("pathParam");

                    b.Property<string>("Payload")
                        .IsRequired()
                        .HasColumnType("JSON")
                        .HasColumnName("payload");

                    b.Property<string>("QueryParam")
                        .IsRequired()
                        .HasColumnType("JSON")
                        .HasColumnName("queryParam");

                    b.Property<long>("RuleId")
                        .HasColumnType("BIGINT")
                        .HasColumnName("RuleId");

                    b.Property<string>("Status")
                        .IsRequired()
                        .HasColumnType("VARCHAR(10)")
                        .HasColumnName("status");

                    b.HasKey("Id");

                    b.ToTable("Integration", (string)null);
                });
#pragma warning restore 612, 618
        }
    }
}
